Update custom role
Update role in organization
Authentication: personal access token. The spec defines an api_key security
scheme — send an Authorization: ApiKey <your-personal-access-token> header
(value format: ApiKey <your key>). A session_cookie scheme (connect.sid)
exists for browser sessions. Operations in this spec declare security: [], an
artifact of the upstream spec generator — authentication is still enforced by the
server.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
orgUuid | string | Yes | |
roleUuid | string | Yes |
Request body
{
"scopes": {
"remove": [
"string"
],
"add": [
"string"
]
},
"description": "string",
"name": "string"
}Responses
200 — Success
{
"results": {
"updatedAt": "2024-01-01T00:00:00.000Z",
"createdAt": "2024-01-01T00:00:00.000Z",
"createdBy": "string",
"ownerType": "user",
"organizationUuid": "string",
"level": "project",
"description": "string",
"name": "string",
"roleUuid": "string"
},
"status": "ok"
}default — Error
{
"error": {
"data": "string",
"message": "string",
"name": "string",
"statusCode": 0
},
"status": "error"
}